%define	name	gnomad2
%define	version	2.8.0
%define	rel	1
%define	release	%mkrel %{rel}
%define	Summary	A Nomad Jukebox manager

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://gnomad2.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	libnjb-devel >= 2.2 libgnomeui2-devel libid3-devel ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Gnomad 2 is a GUI built on top of GTK/GNOME 2, id3lib and libnjb that
makes it possible to transfer tracks and files from/to a
Creative Nomad Jukebox (all brands). It is designed much like
an ordinary graphical FTP program.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir},%{_menudir}}
convert -size 16x16 %{name}-logo.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}-logo.png
convert -size 32x32 %{name}-logo.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}-logo.png
convert -size 48x48 %{name}-logo.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}-logo.png

kdedesktop2mdkmenu.pl %{name} "Multimedia/Sound" $RPM_BUILD_ROOT%{_datadir}/applications//%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

%find_lang %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_mandir}/man1/%{name}.1*
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}-logo.png
%{_miconsdir}/%{name}-logo.png
%{_iconsdir}/%{name}-logo.png
%{_liconsdir}/%{name}-logo.png
%{_menudir}/%{name}
%doc AUTHORS NEWS ChangeLog README TODO

%changelog
* Fri Jul 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.8.0-1mdk
- 2.8.0

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.7.1-2mdk
- no bz2 ending for man page

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.7.1-1mdk
- 2.7.1
- %%mkrel

* Thu Dec 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.5.0-1mdk
- 2.5.0

* Sat Jun 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.4.4-1mdk
- 2.4.4
